package Bencher::ScenarioR::DataCleansing::Object_DateTime;

our $VERSION = 0.004; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset     => "ary1000-dt1000",
        errors      => 7.7e-05,
        p_tags      => "inplace",
        participant => "Data::Rmap",
        rate        => 12.2,
        samples     => 20,
        time        => 82,
        vs_slowest  => 1,
      },
      {
        dataset     => "ary1000-dt1000",
        errors      => 6.6e-05,
        p_tags      => "",
        participant => "Data::Tersify",
        rate        => 60,
        samples     => 20,
        time        => 17,
        vs_slowest  => 4.9,
      },
      {
        dataset     => "ary1000-dt1000",
        errors      => 3.8e-05,
        p_tags      => "",
        participant => "Data::Clean-clone",
        rate        => 67,
        samples     => 20,
        time        => 15,
        vs_slowest  => 5.5,
      },
      {
        dataset     => "ary1000-dt1000",
        errors      => 7.4e-06,
        p_tags      => "inplace",
        participant => "Data::Clean-inplace",
        rate        => 92.3,
        samples     => 20,
        time        => 10.8,
        vs_slowest  => 7.57,
      },
      {
        dataset     => "ary100-dt100",
        errors      => 2.5e-05,
        p_tags      => "inplace",
        participant => "Data::Rmap",
        rate        => 120,
        samples     => 30,
        time        => 8.7,
        vs_slowest  => 9.4,
      },
      {
        dataset     => "ary1000-dt1",
        errors      => 9.9e-06,
        p_tags      => "inplace",
        participant => "Data::Rmap",
        rate        => 270,
        samples     => 20,
        time        => 3.7,
        vs_slowest  => 22,
      },
      {
        dataset     => "ary100-dt100",
        errors      => 1.4e-06,
        p_tags      => "",
        participant => "Data::Tersify",
        rate        => 628,
        samples     => 20,
        time        => 1.59,
        vs_slowest  => 51.5,
      },
      {
        dataset     => "ary10-dt10",
        errors      => 9.1e-07,
        p_tags      => "inplace",
        participant => "Data::Rmap",
        rate        => 636,
        samples     => 20,
        time        => 1.57,
        vs_slowest  => 52.2,
      },
      {
        dataset     => "ary100-dt100",
        errors      => 6.9e-07,
        p_tags      => "",
        participant => "Data::Clean-clone",
        rate        => 802,
        samples     => 20,
        time        => 1.25,
        vs_slowest  => 65.8,
      },
      {
        dataset     => "ary100-dt100",
        errors      => 4.3e-07,
        p_tags      => "inplace",
        participant => "Data::Clean-inplace",
        rate        => 1050,
        samples     => 20,
        time        => 0.956,
        vs_slowest  => 85.8,
      },
      {
        dataset     => "ary1-dt1",
        errors      => 4.3e-07,
        p_tags      => "inplace",
        participant => "Data::Rmap",
        rate        => 1160,
        samples     => 20,
        time        => 0.863,
        vs_slowest  => 95,
      },
      {
        dataset     => "ary1000-dt1",
        errors      => 4.3e-07,
        p_tags      => "",
        participant => "Data::Tersify",
        rate        => 1250,
        samples     => 20,
        time        => 0.803,
        vs_slowest  => 102,
      },
      {
        dataset     => "ary1000-dt1",
        errors      => 2.1e-07,
        p_tags      => "",
        participant => "Data::Clean-clone",
        rate        => 3160,
        samples     => 20,
        time        => 0.316,
        vs_slowest  => 259,
      },
      {
        dataset     => "ary1000-dt1",
        errors      => 2.1e-07,
        p_tags      => "inplace",
        participant => "Data::Clean-inplace",
        rate        => 3780,
        samples     => 21,
        time        => 0.265,
        vs_slowest  => 310,
      },
      {
        dataset     => "ary10-dt10",
        errors      => 7.3e-07,
        p_tags      => "",
        participant => "Data::Tersify",
        rate        => 4500,
        samples     => 31,
        time        => 0.22,
        vs_slowest  => 370,
      },
      {
        dataset     => "ary10-dt10",
        errors      => 2e-07,
        p_tags      => "",
        participant => "Data::Clean-clone",
        rate        => 5900,
        samples     => 22,
        time        => 0.17,
        vs_slowest  => 480,
      },
      {
        dataset     => "ary10-dt10",
        errors      => 2e-07,
        p_tags      => "inplace",
        participant => "Data::Clean-inplace",
        rate        => 6800,
        samples     => 23,
        time        => 0.15,
        vs_slowest  => 560,
      },
      {
        dataset     => "ary1-dt1",
        errors      => 2e-07,
        p_tags      => "",
        participant => "Data::Tersify",
        rate        => 14000,
        samples     => 22,
        time        => 0.07,
        vs_slowest  => 1200,
      },
      {
        dataset     => "ary1-dt1",
        errors      => 1.1e-07,
        p_tags      => "",
        participant => "Data::Clean-clone",
        rate        => 17000,
        samples     => 20,
        time        => 0.059,
        vs_slowest  => 1400,
      },
      {
        dataset     => "ary1-dt1",
        errors      => 5.5e-07,
        p_tags      => "inplace",
        participant => "Data::Clean-inplace",
        rate        => 18000,
        samples     => 21,
        time        => 0.056,
        vs_slowest  => 1500,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "DataCleansing::Object_DateTime",
                                          },
      "func.bencher_version"           => undef,
      "func.code_startup"              => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 2199.968,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2200.023,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2199.968,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 2199.968,
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 4.36644005775452,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__"                                       => "1.040",
                                            "Acme::Damn"                                        => 0.08,
                                            "Bencher::Scenario::DataCleansing::Object_DateTime" => undef,
                                            "Benchmark::Dumb"                                   => "0.10",
                                            "Data::Clean"                                       => 0.49,
                                            "Data::Rmap"                                        => 0.64,
                                            "Data::Tersify"                                     => 0.001,
                                            "Data::Tersify::Plugin::DateTime"                   => 0.001,
                                            "Devel::Platform::Info"                             => 0.16,
                                            "perl"                                              => "v5.24.0",
                                            "Scalar::Util"                                      => 1.45,
                                            "Sys::Info"                                         => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 3], "dataset", [0 .. 4]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "rosa",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.19.0-32-generic",
                                            kname    => "Linux",
                                            kvers    => "3.19.0-32-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 17.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                          "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.19.0-32-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::DataCleansing::Object_DateTime",
      "func.scenario_module_md5sum"    => "0982d9ba707e3af52b959b20bd84bd9e",
      "func.scenario_module_mtime"     => 1503647382,
      "func.scenario_module_sha1sum"   => "20b04494a3dec73a13afbc20d8102b29c9b53afa",
      "func.scenario_module_sha256sum" => "e4880370190c7cd768eab1ad575f13be7f2b50c9935a0410b81d4d394eaf8653",
      "func.time_end"                  => 1503647421.24102,
      "func.time_factor"               => 1000,
      "func.time_start"                => 1503647416.87458,
      "table.field_aligns"             => [
                                            "left",
                                            "left",
                                            "left",
                                            "number",
                                            "number",
                                            "number",
                                            "number",
                                            "number",
                                          ],
      "table.field_units"              => [undef, undef, undef, "/s", "ms"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "p_tags",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark data cleansing (DateTime objects into scalar)

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

